// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package wm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/wm"
)

/******************************************************************************
 *
 * @Description              : Article的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-29 10:57:04
 *
 ******************************************************************************/
var Article_ArtId = grmi.NewField("ArtId", "WM_Article.ArtId", "artid", grmi.TypeString)
var Article_Descr1 = grmi.NewField("Descr1", "WM_Article.Descr1", "descr1", grmi.TypeString)
var Article_Descr2 = grmi.NewField("Descr2", "WM_Article.Descr2", "descr2", grmi.TypeString)
var Article_ArtType = grmi.NewField("ArtType", "WM_Article.ArtType", "arttype", grmi.TypeString)
var Article_ProjectId = grmi.NewField("ProjectId", "WM_Article.ProjectId", "projectid", grmi.TypeString)
var Article_Uom = grmi.NewField("Uom", "WM_Article.Uom", "uom", grmi.TypeString)
var Article_Weight = grmi.NewField("Weight", "WM_Article.Weight", "weight", grmi.TypeFloat64)
var Article_WeightUom = grmi.NewField("WeightUom", "WM_Article.WeightUom", "weightuom", grmi.TypeString)
var Article_Length = grmi.NewField("Length", "WM_Article.Length", "length", grmi.TypeFloat64)
var Article_Width = grmi.NewField("Width", "WM_Article.Width", "width", grmi.TypeFloat64)
var Article_Height = grmi.NewField("Height", "WM_Article.Height", "height", grmi.TypeFloat64)
var Article_SizeUom = grmi.NewField("SizeUom", "WM_Article.SizeUom", "sizeuom", grmi.TypeString)
var Article_Fragile = grmi.NewField("Fragile", "WM_Article.Fragile", "fragile", grmi.TypeBool)
var Article_Icon = grmi.NewField("Icon", "WM_Article.Icon", "icon", grmi.TypeString)
var Article_DisplayColor = grmi.NewField("DisplayColor", "WM_Article.DisplayColor", "displaycolor", grmi.TypeString)
var Article_Document = grmi.NewField("Document", "WM_Article.Document", "document", grmi.TypeString)
var Article_LotSize = grmi.NewField("LotSize", "WM_Article.LotSize", "lotsize", grmi.TypeFloat64)
var Article_ABCClass = grmi.NewField("ABCClass", "WM_Article.ABCClass", "abcclass", grmi.TypeString)
var Article_ArtSize1 = grmi.NewField("ArtSize1", "WM_Article.ArtSize1", "artsize1", grmi.TypeFloat64)
var Article_ArtSize2 = grmi.NewField("ArtSize2", "WM_Article.ArtSize2", "artsize2", grmi.TypeFloat64)
var Article_ArtSize3 = grmi.NewField("ArtSize3", "WM_Article.ArtSize3", "artsize3", grmi.TypeInt)
var Article_ArtSize4 = grmi.NewField("ArtSize4", "WM_Article.ArtSize4", "artsize4", grmi.TypeInt)
var Article_ArtSize5 = grmi.NewField("ArtSize5", "WM_Article.ArtSize5", "artsize5", grmi.TypeString)
var Article_ArtSpec1 = grmi.NewField("ArtSpec1", "WM_Article.ArtSpec1", "artspec1", grmi.TypeString)
var Article_ArtSpec2 = grmi.NewField("ArtSpec2", "WM_Article.ArtSpec2", "artspec2", grmi.TypeString)
var Article_ArtSpec3 = grmi.NewField("ArtSpec3", "WM_Article.ArtSpec3", "artspec3", grmi.TypeString)
var Article_ArtSpec4 = grmi.NewField("ArtSpec4", "WM_Article.ArtSpec4", "artspec4", grmi.TypeString)
var Article_ArtSpec5 = grmi.NewField("ArtSpec5", "WM_Article.ArtSpec5", "artspec5", grmi.TypeString)
var Article_LastModify = grmi.NewField("LastModify", "WM_Article.LastModify", "lastmodify", grmi.TypeDateTime)
var Article_LastUser = grmi.NewField("LastUser", "WM_Article.LastUser", "lastuser", grmi.TypeString)
var Article_CreateTime = grmi.NewField("CreateTime", "WM_Article.CreateTime", "createtime", grmi.TypeDateTime)
var Article_Qty = grmi.NewField("Qty", "WM_Article.Qty", "qty", grmi.TypeFloat64)
/******************************************************************************
 *
 * @Description              : Article的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-29 10:57:04
 *
 ******************************************************************************/
var Article = grmi.NewEntity(
	"WM_Article",
	func() interface{} { return &model.Article{} },
	map[string]grmi.Field{
		Article_ArtId.Name:        Article_ArtId,
		Article_Descr1.Name:       Article_Descr1,
		Article_Descr2.Name:       Article_Descr2,
		Article_ArtType.Name:      Article_ArtType,
		Article_ProjectId.Name:    Article_ProjectId,
		Article_Uom.Name:          Article_Uom,
		Article_Weight.Name:       Article_Weight,
		Article_WeightUom.Name:    Article_WeightUom,
		Article_Length.Name:       Article_Length,
		Article_Width.Name:        Article_Width,
		Article_Height.Name:       Article_Height,
		Article_SizeUom.Name:      Article_SizeUom,
		Article_Fragile.Name:      Article_Fragile,
		Article_Icon.Name:         Article_Icon,
		Article_DisplayColor.Name: Article_DisplayColor,
		Article_Document.Name:     Article_Document,
		Article_LotSize.Name:      Article_LotSize,
		Article_ABCClass.Name:     Article_ABCClass,
		Article_ArtSize1.Name:     Article_ArtSize1,
		Article_ArtSize2.Name:     Article_ArtSize2,
		Article_ArtSize3.Name:     Article_ArtSize3,
		Article_ArtSize4.Name:     Article_ArtSize4,
		Article_ArtSize5.Name:     Article_ArtSize5,
		Article_ArtSpec1.Name:     Article_ArtSpec1,
		Article_ArtSpec2.Name:     Article_ArtSpec2,
		Article_ArtSpec3.Name:     Article_ArtSpec3,
		Article_ArtSpec4.Name:     Article_ArtSpec4,
		Article_ArtSpec5.Name:     Article_ArtSpec5,
		Article_LastModify.Name:   Article_LastModify,
		Article_LastUser.Name:     Article_LastUser,
		Article_CreateTime.Name:   Article_CreateTime,
		Article_Qty.Name: 		   Article_Qty,
	},
	[]string{},
	[]string{"Descr1", "Descr2", "ArtType", "ProjectId", "Uom", "Weight", "WeightUom", "Length", "Width", "Height", "SizeUom", "Fragile", "Icon", "DisplayColor", "Document", "LotSize", "ABCClass", "ArtSize1", "ArtSize2", "ArtSize3", "ArtSize4", "ArtSize5", "ArtSpec1", "ArtSpec2", "ArtSpec3", "ArtSpec4", "ArtSpec5", "LastUser","Qty"})
